Bug 1889936 - Backport timecache LRU fix
Summary: Backport timecache LRU fix
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.6.z
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.z
Assignee: Ryan Phillips
QA Contact: Sunil Choudhary
URL:
Whiteboard:
Depends On: 1889891
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-21 01:31 UTC by OpenShift BugZilla Robot
Modified: 2021-01-18 17:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-18 17:58:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes pull 419 0 None closed [release-4.6] Bug 1889936: UPSTREAM: 94774: Fix misusage of RLock in timeCache lru.Cache.Get() 2021-01-15 11:34:51 UTC
Red Hat Product Errata RHSA-2021:0037 0 None None None 2021-01-18 17:58:34 UTC

Description OpenShift BugZilla Robot 2020-10-21 01:31:24 UTC
+++ This bug was initially created as a clone of Bug #1889891 +++

Description of problem:
```
Lru's Get() method also updates the least recent usage information. So, we should not use RLock() and even RWLock here.
An alternative fix is just using github.com/hashicorp/golang-lru, but that will introduce more diffs. If that is the better fix, I can also do that.
```

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 7 errata-xmlrpc 2021-01-18 17:58:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.6.12 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0037


Note You need to log in before you can comment on or make changes to this bug.